## fractgen 2.0.12

=== debian/changelog ===
fractgen (2.0.12-0ubuntu1) oneiric; urgency=low

  * Initial Ubuntu package (LP: #332530).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 04 May 2011 07:14:21 +0800
