## fractgen 2.0.14

=== debian/changelog ===
fractgen (2.0.14-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Logan Rosen <logatronico@gmail.com>  Sun, 11 Nov 2012 02:46:15 -0500
