## fractgen 2.0.16

=== debian/changelog ===
fractgen (2.0.16-0ubuntu1) trusty; urgency=low

  * New Upstream release.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 25 Dec 2013 22:14:01 +0530
