=== debian/control ===
Source: fractgen
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Thomas Dreibholz <dreibh@iem.uni-due.de>
Homepage: http://www.exp-math.uni-essen.de/~dreibh/fractalgenerator/index.html
Build-Depends: cdbs,
               debhelper (>= 7),
               libqt4-dev
Standards-Version: 3.9.2

Package: fractgen
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: rsplib-tools
Description: calculates fractal images
 FractGen is a simple Qt-based fractal generator program for Mandelbrot
 fractals. The image size is only limited by virtual memory. It is possible
 to zoom into images. Image parameters can be saved in XML files and loaded
 from XML files. Calculated images can be exported as PNG files.
 .
 The intention of this program is to generate graphics to be post-processed
 by other image tools, e.g. in order to generate nice screen backgrounds.
