=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/qmake.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

QMAKE = qmake-qt4
