=== debian/watch ===
version=3
http://www.iem.uni-due.de/~dreibh/fractalgenerator/index.html	download/fractgen-(.*)\.tar\.gz
