## fractgen 2.1.0

=== debian/changelog ===
fractgen (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update dependencies to use Qt5 instead of Qt4.
  * debian/rules:
    - Force use of Qt5 via QT_SELECT.

 -- Hugo Lefeuvre <hle@debian.org>  Sun, 18 Dec 2016 13:56:54 +0100
