=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Hugo Lefeuvre <hle@debian.org>
 Build-Depends: debhelper (>= 9),
-               libqt4-dev
+               qtbase5-dev,
+               qtchooser
 Standards-Version: 3.9.8
 Homepage: https://www.uni-due.de/~be0001/fractalgenerator/
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/fractgen/trunk/
