=== debian/rules ===
--- 
+++ 
@@ -4,5 +4,8 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
 
+# Force use of Qt5
+export QT_SELECT = 5
+
 %:
 	dh $@
