=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: graphics
 Priority: optional
 Maintainer: Hugo Lefeuvre <hle@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                qtbase5-dev,
                qtchooser
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://www.uni-due.de/~be0001/fractalgenerator/
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/fractgen/trunk/
 Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/fractgen/trunk/
