=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Force use of Qt5
export QT_SELECT = 5

%:
	dh $@
