## fractgen 2.1.3

=== debian/changelog ===
fractgen (2.1.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 4.1.5.

 -- Hugo Lefeuvre <hle@debian.org>  Sat, 21 Jul 2018 09:36:50 -0400

fractgen (2.1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 4.1.3.
    - Update debhelper dependency from >= 10 to >= 11.
  * Bump compat from 10 to 11.
  * Update copyright years.
  * Update Vcs-* fields (migrated to Git/Salsa).
  * Remove trailing whitespaces.
  * debian/examples: Install examples from src/examples.

 -- Hugo Lefeuvre <hle@debian.org>  Fri, 23 Mar 2018 13:16:47 +0100
