=== debian/control ===
Source: fractgen
Section: graphics
Priority: optional
Maintainer: Hugo Lefeuvre <hle@debian.org>
Build-Depends: debhelper (>= 11),
               qtbase5-dev,
               qtchooser
Standards-Version: 4.1.5
Homepage: https://www.uni-due.de/~be0001/fractalgenerator/
Vcs-Git: https://salsa.debian.org/hle/fractgen.git
Vcs-Browser: https://salsa.debian.org/hle/fractgen

Package: fractgen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Extensible Fractal Generator
 FractalGenerator is a Qt-based program to generate fractal images (e.g.
 Mandelbrot set). The size of the calculated images is only limited by the
 computer's virtual memory. That is, images may use the full printer
 resolution !
 .
 It is possible to zoom into images. Image parameters can be saved in XML files
 and loaded from XML files. Calculated images can be exported as PNG files.
 .
 The intention of this program is to generate graphics to be post-processed by
 other image tools, e.g. in order to generate nice screen backgrounds or book
 covers.
