=== debian/changelog ===
fractgen (2.1.4.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Hugo Lefeuvre <hle@debian.org>  Wed, 27 Jan 2021 17:19:19 +0800
