=== debian/changelog ===
fractgen (2.1.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not build with -Werror. (Closes: #964627)

 -- Adrian Bunk <bunk@debian.org>  Fri, 05 Feb 2021 10:01:15 +0200

fractgen (2.1.5-1) unstable; urgency=medium

  * New upstream release.
  * Migrate to debhelper-compat (delete debian/compat).
  * debian/control:
    - Bump Standards-Version to 4.4.0.
    - Bump debhelper dependency to = 12.

 -- Hugo Lefeuvre <hle@debian.org>  Fri, 26 Jul 2019 15:30:08 -0300
