=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Hugo Lefeuvre <hle@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                qtbase5-dev,
                qtchooser
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://www.uni-due.de/~be0001/fractalgenerator/
 Vcs-Git: https://salsa.debian.org/hle/fractgen.git
 Vcs-Browser: https://salsa.debian.org/hle/fractgen
