=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 export QT_SELECT = 5
 
 %:
-	dh $@ 
+	dh $@
