=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 SET(CMAKE_INCLUDE_CURRENT_DIR ON)
 
 #############################################################################
-# PROGRAMS
+#### PROGRAMS                                                            ####
 #############################################################################
 
 ADD_EXECUTABLE(fractgen
@@ -22,12 +22,28 @@
    simplehsv.cc
    simplergb.cc
    uintconfigentry.cc)
+TARGET_LINK_LIBRARIES(fractgen Qt5::Widgets Qt5::Xml Qt5::Core Qt5::PrintSupport)
 
-TARGET_LINK_LIBRARIES(fractgen Qt5::Widgets Qt5::Xml Qt5::Core Qt5::PrintSupport)
 INSTALL(TARGETS             fractgen
         RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
         BUNDLE DESTINATION  ${CMAKE_INSTALL_BINDIR})
 INSTALL(FILES fractgen.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
+
+INSTALL(FILES fractgen.png     DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/512x512/apps)
+INSTALL(FILES fractgen.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
+INSTALL(FILES fractgen.xml     DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/mime/packages)
+
+FILE(GLOB FRACTGEN_TS_FILES  "fractgen_*.ts")
+SET(FRACTGEN_QM_FILES "")
+FOREACH(tsFile IN LISTS FRACTGEN_TS_FILES)
+   GET_FILENAME_COMPONENT(fileBase ${tsFile} NAME_WE)
+   SET(qmFile "${fileBase}.qm")
+   ADD_CUSTOM_COMMAND(OUTPUT ${qmFile}
+                      COMMAND Qt5::lrelease ${tsFile})
+   ADD_CUSTOM_TARGET(target_${qmFile} ALL DEPENDS ${qmFile})
+   LIST(APPEND FRACTGEN_QM_FILES ${qmFile})
+ENDFOREACH()
+INSTALL(FILES ${FRACTGEN_QM_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/fractgen)
 
 
 IF (ENABLE_KDE)
