=== debian/changelog ===
fractgen (2.1.13-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2024 05:20:17 +0000

fractgen (2.1.13-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:18:37 +0000

fractgen (2.1.13-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:25:12 +0000

fractgen (2.1.13-1) unstable; urgency=medium

  * New upstream version 2.1.13 (Closes: #998800)
  * Move package to Math team maintenance (Closes: #1050245)
  * Upstream changed location to nntb.no and also
    the signing key. Change accordingly.
  * Add B-D on qttools5-dev
  * Bump debhelper compatibility level to 13
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Bump d/watch version to 4
  * Add d/u/metadata
  * Update lintian override
  * Add "Rules-Requires-Root: no"

 -- Nilesh Patra <nilesh@debian.org>  Fri, 25 Aug 2023 03:11:19 +0530
