=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://www.nntb.no/~dreibh/fractalgenerator/download/fractgen-(.+)\.tar\.xz
