=== debian/changelog ===
fractgen (3.0.5-1) unstable; urgency=medium

  [ Thomas Dreibholz ]
  * New upstream release.
  * debian/control:
    + Updated standards version to 4.7.2.
    + Split into multiple binary packages

  [ Nilesh Patra ]
  * Move -examples package to suggests
  * Run wrap-and-sort -ast
  * Add Breaks+Replaces for fractgen in fractgen-examples
    package.
  * Add Breaks+Replaces for fractgen on fractgen-common
  * Set min cmake version to fix FTBFS (Closes: #1112931)
  * Add patch to avoid locale load error print
  * Update license

 -- Nilesh Patra <nilesh@debian.org>  Fri, 26 Sep 2025 17:17:30 +0530
