=== debian/tests/control ===
Tests: 10-clifractgen
Depends: clifractgen,
         fractgen-examples,
         graphicsmagick
